Debian Bug report logs - #496318
Doesn't build against 2.6.27-rc3-686

version graph

Package: fglrx-driver; Maintainer for fglrx-driver is Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>; Source for fglrx-driver is src:fglrx-driver.

Reported by: Loïc Minier <lool@dooz.org>

Date: Sun, 24 Aug 2008 12:24:04 UTC

Severity: wishlist

Tags: patch

Merged with 505823, 505827, 506049

Found in versions 1:8-10-2, 1:8-11-1, fglrx-driver/1:8-7-2, fglrx-driver/1:8-7-3

Fixed in version fglrx-driver/1:8-12-1

Done: Patrick Matthäi <patrick.matthaei@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>:
Bug#496318; Package fglrx-driver. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Doesn't build against 2.6.27-rc3-686
Date: Sun, 24 Aug 2008 14:22:13 +0200
[Message part 1 (text/plain, inline)]
Package: fglrx-driver
Version: 1:8-7-2
Severity: normal
Tags: patch

        Hi,

 Please find attached a patch to help the build of fglrx-driver against
 2.6.27-rc3-686:
  CC [M]  /usr/src/modules/fglrx/firegl_public.o
/usr/src/modules/fglrx/firegl_public.c: In function ‘__ke_flush_cache’:
/usr/src/modules/fglrx/firegl_public.c:3240: error: too many arguments to function ‘smp_call_function’

 However after the patch, linking fails with:
FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'pv_lock_ops'

 This is fixed upstream in:
commit 7946612de2087e163308e26034286fc2dc9dacf1
Author: Jeremy Fitzhardinge <jeremy@goop.org>
Date:   Wed Aug 20 11:31:07 2008 -0700

    x86: export pv_lock_ops non-GPL
    
    None of the spinlock API is exported GPL, so there's no reason for
    pv_lock_ops to be.
    
    Signed-off-by: Jeremy Fitzhardinge <jeremy.fitzhardinge@citrix.com>
    Signed-off-by: Ingo Molnar <mingo@elte.hu>
    Cc: drago01 <drago01@gmail.com>

   Bye

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages fglrx-driver depends on:
ii  fglrx-glx                     1:8-7-2    proprietary libGL for the non-free
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libgl1-mesa-glx [libgl1]      7.0.3-5    A free implementation of the OpenG
ii  libx11-6                      2:1.1.4-2  X11 client-side library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxrandr2                    2:1.2.3-1  X11 RandR extension library
ii  libxrender1                   1:0.9.4-2  X Rendering Extension client libra
ii  xserver-xorg                  1:7.3+15   the X.Org X server

Versions of packages fglrx-driver recommends:
ii  fglrx-atieventsd        1:8-7-2          external events daemon for the non
ii  fglrx-glx               1:8-7-2          proprietary libGL for the non-free
ii  fglrx-kernel-2.6.26-1-6 1:8-7-2+2.6.26-2 ATI binary kernel module for Linux
ii  fglrx-source            1:8-7-2          kernel module source for the non-f

Versions of packages fglrx-driver suggests:
ii  fglrx-control                 1:8-7-2    control panel for the non-free AMD

-- no debconf information

-- 
Loïc Minier
[20-fix_build_for_2.6.27.patch (text/x-diff, attachment)]

Severity set to `important' from `normal' Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Mon, 17 Nov 2008 16:51:10 GMT) Full text and rfc822 format available.

Merged 496318 505823 505827. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Mon, 17 Nov 2008 16:51:13 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `important' Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 10:51:11 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 10:51:16 GMT) Full text and rfc822 format available.

Severity set to `wishlist' from `wishlist' Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 10:51:18 GMT) Full text and rfc822 format available.

Merged 496318 505823 505827 506049. Request was from Patrick Matthäi <patrick.matthaei@web.de> to control@bugs.debian.org. (Sun, 30 Nov 2008 10:51:20 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <patrick.matthaei@web.de>:
You have taken responsibility. (Thu, 01 Jan 2009 17:09:07 GMT) Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. (Thu, 01 Jan 2009 17:09:08 GMT) Full text and rfc822 format available.

Message #22 received at 496318-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <patrick.matthaei@web.de>
To: 496318-close@bugs.debian.org
Subject: Bug#496318: fixed in fglrx-driver 1:8-12-1
Date: Thu, 01 Jan 2009 17:02:13 +0000
Source: fglrx-driver
Source-Version: 1:8-12-1

We believe that the bug you reported is fixed in the latest version of
fglrx-driver, which is due to be installed in the Debian FTP archive:

fglrx-amdcccle_8-12-1_all.deb
  to pool/non-free/f/fglrx-driver/fglrx-amdcccle_8-12-1_all.deb
fglrx-atieventsd_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-atieventsd_8-12-1_amd64.deb
fglrx-control_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-control_8-12-1_amd64.deb
fglrx-driver_8-12-1.diff.gz
  to pool/non-free/f/fglrx-driver/fglrx-driver_8-12-1.diff.gz
fglrx-driver_8-12-1.dsc
  to pool/non-free/f/fglrx-driver/fglrx-driver_8-12-1.dsc
fglrx-driver_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-driver_8-12-1_amd64.deb
fglrx-driver_8-12.orig.tar.gz
  to pool/non-free/f/fglrx-driver/fglrx-driver_8-12.orig.tar.gz
fglrx-glx-ia32_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-glx-ia32_8-12-1_amd64.deb
fglrx-glx_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-glx_8-12-1_amd64.deb
fglrx-kernel-src_8-12-1_all.deb
  to pool/non-free/f/fglrx-driver/fglrx-kernel-src_8-12-1_all.deb
fglrx-source_8-12-1_amd64.deb
  to pool/non-free/f/fglrx-driver/fglrx-source_8-12-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <patrick.matthaei@web.de> (supplier of updated fglrx-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu,  1 Jan 2009 17:17:02 +0200
Source: fglrx-driver
Binary: fglrx-driver fglrx-glx fglrx-glx-ia32 fglrx-source fglrx-kernel-src fglrx-control fglrx-amdcccle fglrx-atieventsd
Architecture: source amd64 all
Version: 1:8-12-1
Distribution: experimental
Urgency: low
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Changed-By: Patrick Matthäi <patrick.matthaei@web.de>
Description: 
 fglrx-amdcccle - control panel for the non-free AMD/ATI r5xx, r6xx, r7xx display d
 fglrx-atieventsd - external events daemon for the non-free AMD/ATI r5xx, r6xx, r7xx 
 fglrx-control - control panel for the non-free AMD/ATI r5xx, r6xx, r7xx display d
 fglrx-driver - non-free AMD/ATI r5xx, r6xx, r7xx display driver
 fglrx-glx  - proprietary libGL for the non-free AMD/ATI r5xx, r6xx, r7xx displ
 fglrx-glx-ia32 - proprietary libGL for the non-free AMD/ATI r5xx, r6xx, r7xx displ
 fglrx-kernel-src - kernel module source for the non-free AMD/ATI r5xx, r6xx, r7xx di
 fglrx-source - kernel module source for the non-free AMD/ATI r5xx, r6xx, r7xx di
Closes: 489254 489575 496318 506000 508024 508819
Changes: 
 fglrx-driver (1:8-12-1) experimental; urgency=low
 .
   * New upstream release. Closes: #508819
     - No more dri problems like in the 8-11 release.
       Closes: #506000
     - It should build fine now with Linux 2.6.27.
       Closes: #496318
     - Remove deprecated patches.
       Closes: #508024
     - This release fixes some crashes on starting/playing videos with players
       like kaffeine and mplayer.
       Closes: #489254
     - Remove 13-fix_debian_485605.patch which is fixed in this release.
   * Add myself to uploaders.
   * Add DM-Upload-Allowed control flag.
   * Install the x740 libs, so fglrx could be used with xserver 1.5. If you
     still use xserver < 1.5 then you have to set it back to x710 in
     debian/rules.
   * Fixed bashishm in the acpi fglrx-powermode.sh script.
     Closes: #489575
   * Remove fuzzy 14-deletes_unecessary_spaces.patch.
   * Adjust path to index.html in README.hacking.
   * Add missing ${misc:Depends}. Thanks lintian.
   * Remove odd debian/TODO.
   * Fit debian/README.hacking to the up to date and easy orig-source-target
     to build the original tarball.
   * Change to dpatch instead of a self-hackish one and migrate the patches
     to it.
   * Correct typo in debian/rules PHONY.
   * Bump debhelper compatibility level to 7, so we can use dh_lintian.
   * Override shlib-with-executable-stack lintian warning.
   * Change short descriptions to also supporting r7xx cards in this version.
Checksums-Sha1: 
 e816ebb69767fd2bd8b5c47201cb78b937f034ee 1985 fglrx-driver_8-12-1.dsc
 a2cce5398a965b74df5ee866502b3cf3bcb76b53 77547963 fglrx-driver_8-12.orig.tar.gz
 18342002c5e7342c80bc1b77988712a0a978c9ef 161295 fglrx-driver_8-12-1.diff.gz
 bc43cabfc7f83b78ae132752c3fd5ca8082c16f6 9761608 fglrx-driver_8-12-1_amd64.deb
 c3fefd08f56a20732da7b3c27697bfa24e90c68a 6395616 fglrx-control_8-12-1_amd64.deb
 18eaf62f594cb8c2dfeb41c026d11ace485e6d0a 187810 fglrx-glx_8-12-1_amd64.deb
 fe41ce5ee7cc5dab723f9d44854137dfdf6b551a 1434280 fglrx-source_8-12-1_amd64.deb
 d82f6ec9d729944a2349e8ac47355e97d1377ef3 125640 fglrx-atieventsd_8-12-1_amd64.deb
 2692d36666fcd16abc86d83b53b6863cf68f93ec 19296 fglrx-amdcccle_8-12-1_all.deb
 3fb2c70deb6f7a6d847452cb05a85c542d9a277f 19298 fglrx-kernel-src_8-12-1_all.deb
 282d935f6a9cdd8a5faa73d4e1fc1007dbbd9f63 6024640 fglrx-glx-ia32_8-12-1_amd64.deb
Checksums-Sha256: 
 b389e32c0074c181aae7e930188f12ee71a4d0d9f7536d43a16d09b7437c78a5 1985 fglrx-driver_8-12-1.dsc
 90af6b7fd0a9b756a85a242ee16c3e9a36daebc09860821c139248176e38e735 77547963 fglrx-driver_8-12.orig.tar.gz
 c3e7cde6dc799836b8fb1814982c4d5c2172e0c3f76cb9054b31dc54c7d8e5e5 161295 fglrx-driver_8-12-1.diff.gz
 04a5999e61d17b54079dcd6d52eb85cdc3c1b648f40698611bde346fb220b23a 9761608 fglrx-driver_8-12-1_amd64.deb
 6c01dde211cef748a3f3d4adcf77f888ae2dd71ac94a6dd08c2b9b3d42389dbb 6395616 fglrx-control_8-12-1_amd64.deb
 110c4653c8e605cf17c602a3ccb3639e26542a1fcc467d9a54fb0a39cd25a2c4 187810 fglrx-glx_8-12-1_amd64.deb
 f9039fee97ab5d6e3123aef5da89b83bc07621219b5b0baa83661ec41be30095 1434280 fglrx-source_8-12-1_amd64.deb
 41b8ac15e94e8b43d74fe22f70a392d8ca48b9dd049b0a75c21816827fd0edec 125640 fglrx-atieventsd_8-12-1_amd64.deb
 142c1bbc92a8d9bb15e0ba37628aa80147fcad3ee11cdd83a24fde0c82ce0890 19296 fglrx-amdcccle_8-12-1_all.deb
 d230ef6599ba0486ec8647d9a48f8ff54bd2f74225b665dd203331adc9926cd7 19298 fglrx-kernel-src_8-12-1_all.deb
 1b8f1914f786a17a27771cbe0eca032222653d01a26527e179840974158d8eed 6024640 fglrx-glx-ia32_8-12-1_amd64.deb
Files: 
 337d0c674395861ebf70695566836a44 1985 non-free/x11 extra fglrx-driver_8-12-1.dsc
 89b14358771714c5d0a1f874745ee6b9 77547963 non-free/x11 extra fglrx-driver_8-12.orig.tar.gz
 57bbab22e551e1bc83f3d57d768f9a82 161295 non-free/x11 extra fglrx-driver_8-12-1.diff.gz
 34bd13659485a03a1bfc6f8aba82580a 9761608 non-free/x11 extra fglrx-driver_8-12-1_amd64.deb
 817098e65dc00783e8c87aaef461ae19 6395616 non-free/x11 extra fglrx-control_8-12-1_amd64.deb
 0af2bb07d96e51abdf57c563890b49c7 187810 non-free/x11 extra fglrx-glx_8-12-1_amd64.deb
 0e00d0271c216891050ffdc5b04d2c92 1434280 non-free/x11 extra fglrx-source_8-12-1_amd64.deb
 c36667db1607baab5109f0d8cd962bc1 125640 non-free/x11 extra fglrx-atieventsd_8-12-1_amd64.deb
 4065847e17a2287004043b370bd0f7a1 19296 non-free/x11 extra fglrx-amdcccle_8-12-1_all.deb
 dc5da5a8811e8eef137942ef6eb8245d 19298 non-free/x11 extra fglrx-kernel-src_8-12-1_all.deb
 852c9e96de73b6e0d468528dd8dd5aa1 6024640 non-free/x11 extra fglrx-glx-ia32_8-12-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQEcBAEBAgAGBQJJXPIFAAoJEAC5aaocqV0ZcgwH/j8eFvD/3tUSHa0kXRxTNnRN
XVMcFJFRPUMO8w7v2FvUIQLoMyGfH7T+Ltn+InZZ7/H29oey1qYD3B7IxV6Qfg+K
D0o7EULbC64g8OVs6DrJx2JDkZTHbAlFOprpPuErvLidoy/TfQMlfvlLD8KPAndZ
rtH9r6whe7cDEShc6cLsiagfntzgVZKITHibwrEwBYDCuO5k3YzIOX4nQeQob3x7
1lVN5YKdwyup1Cl8e7nEsH9ww7Le5Br0uzxRofuzbwUsSlS2ecXArnuy9HNW0tph
FG75chpVkLxGqhOSHX8YfDLRPUySJcNjN1Uz3rwQ0lOLLsdDgOUNcq+7bCk7IWw=
=9cVc
-----END PGP SIGNATURE-----





Reply sent to Patrick Matthäi <patrick.matthaei@web.de>:
You have taken responsibility. (Thu, 01 Jan 2009 17:09:09 GMT) Full text and rfc822 format available.

Notification sent to Balazs Hamorszky <balihb@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Jan 2009 17:09:09 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <patrick.matthaei@web.de>:
You have taken responsibility. (Thu, 01 Jan 2009 17:09:10 GMT) Full text and rfc822 format available.

Notification sent to Balazs Hamorszky <balihb@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Jan 2009 17:09:10 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <patrick.matthaei@web.de>:
You have taken responsibility. (Thu, 01 Jan 2009 17:09:11 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Thu, 01 Jan 2009 17:09:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Feb 2009 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:03:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.